Package org.eclipse.swt.custom

## Class CaretEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.custom.CaretEvent

All Implemented Interfaces:
  `Serializable`

    public class CaretEvent
    extends TypedEvent

This event is sent when the caret offset changes.

Since:
  3.5
See Also:
  Sample code and further information, Serialized Form

### Field Summary

Fields
`int` `caretOffset` caret offset

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

### Method Summary

### Methods inherited from class org.eclipse.swt.events.TypedEvent

`toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### caretOffset

    public int caretOffset

caret offset